servant-0.20.3.0: A family of combinators for defining webservices APIs

Safe Haskell | None
Language | Haskell2010

Servant.API.TypeLevel.List

Synopsis

- type family (l1 :: [Type]) .++ (l2 :: [Type]) :: [Type] where ...

# Documentation

type family (l1 :: [Type]) .++ (l2 :: [Type]) :: [Type] where ... Source #

Append two type-level lists.

Import it as

    import Servant.API.TypeLevel.List (type (.++))

Equations

('[] :: [Type]) .++ a = a |
(a ': as) .++ b = a ': (as .++ b) |